PHP: Hypertext Preprocessor, commonly known as PHP, is a popular server-side programming language, which can be used to set up dynamic sites with interactive features such as discussion boards, e-learning websites or social networks. Unlike static HTML-based websites, a PHP-driven website can show unique web content to each visitor under the exact same URL. Due to the fact that PHP-based apps can be managed via a single Control Panel tool, which you can sign on to from any online browser, you will not need to possess any web design know-how or practical experience whatsoever in order to maintain a PHP-driven website. The fact that hundreds of millions of websites worldwide are created using PHP is an indication of the language’s popularity and simplicity of use. You must only verify if the server on which your site is hosted supports the exact same version of PHP as the one that you used whilst setting up the site.

PHP 4 and PHP 5 Support in Shared Website Hosting

Our shared website hosting servers support several versions of PHP, which means that your sites will work properly no matter if your PHP-based scripts are outdated. We recognize the fact that an old site does not always mean a vulnerable one as you may have implemented lots of code mods. This is the reason why we support PHP 4, 5.2, 5.3, 5.4 and 5.5 and you can decide which one will be enabled for your web hosting account. The version can be changed with only one single mouse click through your Hepsia Control Panel and the update will be applied instantly. If you would like to run both newer and older scripts, there’s even an option to use a different version of PHP for each domain of yours simultaneously.

PHP 4 and PHP 5 Support in Semi-dedicated Hosting

Even in case your websites were created with an earlier PHP version, you will be able to host them in a semi-dedicated server account from us, since we support multiple versions running at the same time on our servers and each of them can be activated for your account with just a click of the mouse from our custom-built Hepsia hosting Control Panel. Besides the latest PHP 5.4 and PHP 5.5, we also support 5.3, 5.2 and the older PHP 4, which has already been abandoned by the great majority of web hosting providers, but we strongly maintain that you shouldn’t be compelled to modify a site that took several years to develop, as older script language syntax doesn’t automatically mean safety holes. Quite the opposite, a properly maintained site using PHP 4 can be more reliable than a poorly maintained one using PHP 5. For your convenience, we’ll also provide you with the possibility to pick a different PHP version for each single site within your account.